package com.tencent.mm.plugin.appbrand.jsapi.g.a;

import android.view.MotionEvent;
import android.view.View;
import com.tencent.mm.plugin.appbrand.d.a;
import java.util.LinkedList;
import java.util.List;

public interface b extends h {

    public interface o {
        void ec(boolean z);
    }

    public interface u {
        void a(p pVar);
    }

    public static class v {
        public int fillColor;
        public List<h> hNV;
        public int strokeColor;
        public int strokeWidth;
        public int zIndex;
    }

    boolean Bg(String str);

    boolean Bi(String str);

    void I(float f, float f2);

    void a(float f, float f2, float f3, float f4, float f5);

    void a(b bVar);

    void a(j jVar, a aVar);

    void a(k kVar);

    void a(l lVar);

    void a(n nVar);

    void a(s sVar);

    void a(t tVar);

    void a(u uVar);

    void a(String str, int i, h hVar, boolean z);

    void a(String str, r rVar, a aVar);

    void a(String str, LinkedList<g> linkedList, o oVar);

    boolean a(c cVar, m mVar, a aVar);

    boolean a(d dVar, a aVar);

    boolean a(v vVar);

    w aDQ();

    void aDR();

    float aDS();

    e aDT();

    boolean aDU();

    h aDV();

    void aDW();

    void aDX();

    void aDY();

    void aDZ();

    void aEa();

    void aEb();

    void al(float f);

    void am(float f);

    void an(float f);

    void ci(String str, String str2);

    void ed(boolean z);

    void ee(boolean z);

    void ef(boolean z);

    void eg(boolean z);

    void eh(boolean z);

    void ei(boolean z);

    void ej(boolean z);

    void ek(boolean z);

    void el(boolean z);

    void em(boolean z);

    void en(boolean z);

    float getSkew();

    View getView();

    int getZoomLevel();

    void h(List<h> list, int i);

    void onDestroy();

    void onPause();

    void onResume();

    void onSizeChanged(int i, int i2);

    void onTouchEvent(MotionEvent motionEvent);
}
